Subject: snmpconf Last call revisions for BCP

From: "Wayne F. Tackabury" <[email-masked]>
Date: Thu, 06 Sep 2001 12:27:10 -0400

I'm forwarding this for Mike MacFaden, just for airing on the list.  The 
following are the fine point diffs he dug out of the document to address 
(unfortunately, I received these *just after* issuing -06 to the i-d 
editor).  I don't see anything here that isn't the slightest bit in the 
"yeah, just do it" class of suggested change.

I know of at least one other set of suggested changes being drafted for the 
list.  For the rest of you, feel free to forward recommendations, don't be 
shy. :)

Regards,
Wayne

-------

 > A. Both Page 7 and page 21 quote the "Requirements for IP Version 4
 > Routers". One of the references needs to be deletd. I don't care
 > which one.
 >
 > B. Minor grammar/spelling/punctuation changes:
 >
 > 101c101
 > < Standard Management Framework (or, more colloquially, SNMP). It covers
 > ---
 > > Standard Management Framework (colloquially, SNMP). It covers
 > 370c370
 > < In a network based example; convergence in an autonomous system cannot
 > ---
 > > In a network based example convergence in an autonomous system cannot
 > 461c461
 > < Over the past eight years, additional experience has shown a need to
 > ---
 > > Over the past eight years additional experience has shown a need to
 > 488c488
 > < modules.  However, MIB Modules do not define a naming scope. Generally,
 > ---
 > > modules.  MIB Modules do not define a naming scope. Generally,
 > 525c525
 > < of the protocol. SNMP is no example. Here are a few areas to consider
 > ---
 > > of the protocol. Here are a few areas to consider
 > 539c539
 > < ifTable, which have a sparse relationship.  If a given ifEntry supports
 > ---
 > > ifTable which have a sparse relationship.  If a given ifEntry supports
 > 596c596
 > < mandatory and non-defaultable objects have been set with acceptable val-
 > ---
 > > mandatory (non-defaultable) objects have been set with acceptable val-
 > 679c679
 > < This convention is not formalized, and there tend to be small differ-
 > ---
 > > This convention is not formalized. There tend to be small differ-
 > 1061c1061
 > < Often, MIB modules define a binary state object such as enable/disable
 > ---
 > > MIB modules often define a binary state object such as enable/disable
 > 1072c1072
 > < [RFC2579].  For example, the Q-BRIDGE-MIB [RFC2674] defines :
 > ---
 > > [RFC2579].  For example, the Q-BRIDGE-MIB [RFC2674] defines:
 > 1586c1586
 > < side of the object or use as an index a table.
 > ---
 > > side of the object or use as an index to a table.
 > 1588c1588
 > < Providing an SNMP Table to represent aggregate data does avoids the lim-
 > ---
 > > Providing an SNMP Table to represent aggregate data does avoid the lim-
 > 1695c1695
 > <    operations. Agent implementors must also be sensitive to
 > ---
 > >    operations. Agent implementers must also be sensitive to

--------

Wayne F. Tackabury              Internet: [email-masked]
Gold Wire Technology            Phone: (781) 398-8819
411 Waverley Oaks Rd., Ste 304
Waltham, MA  02452             Cell: (617) 699-6156